Skip to main content
GET
/
v1
/
organizations
/
{organizationUid}
/
seed-groups
/
{seedGroupUid}
/
seeds
/
{seedUid}
cURL
curl --request GET \
  --url https://client.synack.com/api/asset-discovery/v1/organizations/{organizationUid}/seed-groups/{seedGroupUid}/seeds/{seedUid} \
  --header 'Authorization: Bearer <token>'
{
  "name": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "uid": "<string>",
  "seedGroupUid": "<string>",
  "organizationUid": "<string>",
  "tags": [
    "<string>"
  ],
  "updatedAt": "2023-11-07T05:31:56Z",
  "updatedBy": "<string>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

organizationUid
string
required

Unique identifier for an organization group. Unique identifier for an organization.

Pattern: ^[-_0-9a-z]{1,50}
seedGroupUid
string
required

Unique identifier for a seed group.

Pattern: ^[0-9a-f]{12}
seedUid
string
required
read-only

Unique identifier for a seed. Unique Identifier.

Pattern: ^[0-9a-f]{12}

Response

The current state of a scope rule.

name
string
required
read-only

User-supplied name for this seed.

seedType
enum<string>
required
Available options:
ip,
domain,
cidr,
ip_range
createdAt
string<date-time>
required
read-only

Automatically set by the server to the time the request was processed whenever the resource was created.

createdBy
string
required
read-only

Automatically set by the server to the requesting user whenever the resource is updated. May be a user account or a service account if the action is performed by an automated.

Pattern: ^[0-9a-f]{12}
uid
string
read-only

Unique Identifier.

Pattern: ^[0-9a-f]{12}
seedGroupUid
string

Unique identifier for a seed group.

Pattern: ^[0-9a-f]{12}
organizationUid
string

Unique identifier for an organization.

Pattern: ^[-_0-9a-z]{1,50}
tags
string[]
Pattern: ^[-_0-9a-zA-Z]{1,16}
updatedAt
string<date-time>
read-only

Automatically set by the server to the time the request was processed whenever the resource is updated.

updatedBy
string
read-only

Automatically set by the server to the requesting user whenever the resource is updated. May be a user account or a service account if the action is performed by an automated.

Pattern: ^[0-9a-f]{12}